/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            multicast.h
 *
 *  Mon Sep 26 12:25:22 CEST 2005
 *  Copyright  2005 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_MULTICAST_H__
#define __MIAV_MULTICAST_H__

#include "info.h"

class Multicast {
public:
  Multicast(Info *i, char *addr, int port);
  ~Multicast();

  void Write(void* buf, int size);

private:
  Info *info;

  bool is_address_multicast(unsigned long address);
  bool UDPOpen(char *address, int port);
  int sock;
};

#endif/*__MIAV_MULTICAST_H__*/
